%define module	pyldap

# Do not build python2 package yet, as it would collide with python-ldap
%bcond_with	python2

Name:		python-%{module}
Version:	2.4.25.1
Release:	%mkrel 1
Summary:	An object-oriented Python API to access LDAP directory servers
Group:		Development/Python
License:	Python Software Foundation License
URL:		https://github.com/pyldap/pyldap
Source0:	https://pypi.python.org/packages/source/p/%{module}/%{module}-%{version}.tar.gz
BuildRequires:	openldap-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libsasl2)
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)

%if %{with python2}
Requires:	openldap
Requires:	pythonegg(2)(pyasn1)
Requires:	pythonegg(2)(pyasn1-modules)
Provides:	python-ldap = %{version}-%{release}
#Obsoletes:	python-ldap < FIXME add specific version when python-ldap goes away
%endif

%description
pyldap provides an object-oriented API for working with LDAP within
Python programs.  It allows access to LDAP directory servers by wrapping the
OpenLDAP 2.x libraries, and contains modules for other LDAP-related tasks
(including processing LDIF, LDAPURLs, LDAPv3 schema, etc.).

%package -n	python3-%{module}
Summary:	An object-oriented Python 3 API to access LDAP directory servers
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)

Requires:	openldap
Requires:	pythonegg(3)(pyasn1)
Requires:	pythonegg(3)(pyasn1-modules)

%description -n	python3-%{module}
pyldap provides an object-oriented API for working with LDAP within
Python 3 programs.  It allows access to LDAP directory servers by wrapping the
OpenLDAP 2.x libraries, and contains modules for other LDAP-related tasks
(including processing LDIF, LDAPURLs, LDAPv3 schema, etc.).


%prep
%setup -q -n %{module}-%{version}

rm -rf %{module}.egg-info
# remove shebang
sed -i '1d' Lib/ldap/controls/readentry.py

cp -a . %{py3dir}

pushd %{py3dir}
find . -name '*.py' | xargs sed -i '1s|^#!/usr/bin/env python|#!%{__python3}|'
popd

%build
%if %{with python2}
%py2_build
%endif

pushd %{py3dir}
%py3_build
popd

%install
%if %{with python2}
%py2_install
%endif

pushd %{py3dir}
%py3_install
popd

%if %{with python2}
%files
%doc CHANGES README TODO
%attr(0755,root,root) %{python2_sitearch}/_ldap.so
%{python2_sitearch}/ldapurl.py*
%{python2_sitearch}/ldif.py*
%{python2_sitearch}/dsml.py*
%{python2_sitearch}/ldap
%{python2_sitearch}/%{module}-%{version}-py%{python2_version}.egg-info
%endif


%files -n python3-%{module}
%doc CHANGES README TODO
%attr(0755,root,root) %{python3_sitearch}/_ldap.cpython-*.so
%{python3_sitearch}/ldapurl.py*
%{python3_sitearch}/ldif.py*
%{python3_sitearch}/dsml.py*
%{python3_sitearch}/__pycache__/*
%{python3_sitearch}/ldap
%{python3_sitearch}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Mar 13 2016 daviddavid <daviddavid> 2.4.25.1-1.mga6
+ Revision: 990148
- new version: 2.4.25.1

* Fri Jan 29 2016 daviddavid <daviddavid> 2.4.25-1.mga6
+ Revision: 928644
- new version: 2.4.25

* Thu Oct 22 2015 daviddavid <daviddavid> 2.4.21-1.mga6
+ Revision: 894264
- new version: 2.4.21

* Wed Oct 07 2015 daviddavid <daviddavid> 2.4.20-2.mga6
+ Revision: 887110
- rebuild for python 3.5

* Wed Sep 30 2015 daviddavid <daviddavid> 2.4.20-1.mga6
+ Revision: 885270
- imported package python-pyldap (based on Fedora)

